function setEcharts() {
    var echartObj = echarts.init(document.getElementById('customer_group_report'));
    var json = Android.getFlowStoreJson();
    var obj = eval("("+json+")");//解析json字符串
    echartObj.clear();
    var option = {
            backgroundColor: '#15204B',
            grid: {
                left: '3%',
                right: '3%',
                top: '10%',
                bottom: '5%',
                containLabel:true
            },
            tooltip: {
			  trigger: 'axis',
			  position: ['50%', '50%']
            },
            legend: {
                show: false,
                x: 'center',
                icon: 'circle',
                itemWidth: 6,
                itemHeight: 6,
                textStyle: {
                    color: '#FFFFFFCC',
                    fontSize: 10
                },
                bottom:true,
                bottom: '0%',
//              data: ['全部']
            },
            xAxis: [{
                type: 'category',
                
                axisLabel: {
                    color: '#FFFFFF',
                    fontSize: 10
                },
                axisLine: {
                    show: true,
                    lineStyle: {
                        color: '#FFFFFF'
                    }
                },
                axisTick: {
                    show: true,
                    alignWithLabel:true
                },
                
                data: obj.time
            }],
            yAxis: [{
                    type: 'value',
//                    min: 0,
//                    max: 500,
                    minInterval:1,
                    axisLabel: {
                        formatter: '{value}',
                        textStyle: {
                            color: '#ffffff',
                            fontSize: 10
                        }
                    },
                    axisLine: {
                        show:false,
                        lineStyle: {
                            color: '#27b4c2'
                        }
                    },
                    axisTick: {
                        show: false,
                    },
                    splitLine: {
                        show: true,
                        lineStyle: {
                            type: 'dashed',
                            color: '#11366e'
                        }
                    }
                }
            ],
            series: [{
//                  name: '全部',
                    type: 'line',
                    symbol: 'circle',
                    symbolSize: 6,
                    itemStyle: {
                        normal: {
                            color: '#0092f6',
                            lineStyle: {
                                color: "#0092f6",
                                width: 1
                            }
                        }
                    },
                    markPoint: {
                        itemStyle: {
                            normal: {
                                color: 'red'
                            }
                        }
                    },
                    data: obj.all
                },
            ]
        };
    echartObj.setOption(option);
}
