function setAgeEcharts() {
	var echartObj = echarts.init(document.getElementById('transverse_bar_echarts_rt'));

	var json = Android.getAcqAgeAndSexToTalJson();
    var obj = eval("("+json+")");//解析json字符串
    var max = Math.max.apply(null,obj.femaleValue)
    var max1 = Math.max.apply(null,obj.maleValue)
    var man = Android.getManString();
    var woman = Android.getWomanString();

	echartObj.clear();
	var xAxis = obj.ageGroup;
	// 设置中间的刻度标签
	setAxis(xAxis)
	var option = {
		color: ['#f1b054'],
		tooltip: {
			trigger: 'axis',
			axisPointer: { // 坐标轴指示器，坐标轴触发有效
				type: 'shadow' // 默认为直线，可选为：'line' | 'shadow'
			},
			position: ['10%', '50%']
		},
		grid: {
			left: '0px',
			top: '0px',
			right: '15px',
			bottom: '0px',
			containLabel: true
		},
		xAxis: [{
			type: 'value',
			max: max > max1 ? max : max1,
			// 刻度不显示
			axisTick: {
				show: false
			},
			// 刻度文字颜色
			axisLabel: {
				show: false
			},
			// 坐标轴在 grid 区域中的分隔线颜色
			splitLine: {
				show: false
			},
			axisLine: {
				show: false
			}
		}],
		yAxis: [{
			type: 'category',
			inverse: true,
			data: xAxis,
			// 刻度不显示
			axisTick: {
				show: false
			},
			axisLabel: {
				color: '#333',
				show: false
			},
			axisLine: {
				show: false
			}
		}],
		series: [{
			name: woman,
			type: 'bar',
			barWidth: '14px',
			data: obj.femaleValue
		}]
	}
	echartObj.setOption(option)

	var echartObjLf = echarts.init(document.getElementById('transverse_bar_echarts_lf'))
	echartObjLf.clear()
	var optionLf = {
		color: ['#88c7e6'],
		tooltip: {
			trigger: 'axis',
			axisPointer: { // 坐标轴指示器，坐标轴触发有效
				type: 'shadow' // 默认为直线，可选为：'line' | 'shadow'
			},
			position: ['50%', '50%']
		},
		grid: {
			left: '15px',
			top: '0px',
			right: '0px',
			bottom: '0px',
			containLabel: true
		},
		xAxis: [{
			type: 'value',
			max: max > max1 ? max : max1,
			inverse: true,
			// 刻度不显示
			axisTick: {
				show: false
			},
			// 刻度文字颜色
			axisLabel: {
				show: false
			},
			// 坐标轴在 grid 区域中的分隔线颜色
			splitLine: {
				show: false
			},
			axisLine: {
				show: false
			}
		}],
		yAxis: [{
			type: 'category',
			position: 'right',
			inverse: true,
			data: xAxis,
			// 刻度不显示
			axisTick: {
				show: false
			},
			axisLabel: {
				color: '#333',
				show: false
			},
			axisLine: {
				show: false
			}
		}],
		series: [{
			name: man,
			type: 'bar',
			barWidth: '14px',
			data: obj.maleValue
		}]
	}
	echartObjLf.setOption(optionLf)
	document.body.ontouchend = function () {
              setTimeout(function () {
                echartObjLf.dispatchAction({
                  type: 'hideTip'
                })
                echartObj.dispatchAction({
                  type: 'hideTip'
                })
              }, 2000)
     }
}

function setAxis(xAxis) {
	var midDom = document.getElementById('transverse_bar_echarts_mid');
	var len = xAxis.length;
	var height = midDom.clientHeight;
	var liHeight = height / len;
	var htmlStr = "<ul>";
	for(var i = 0; i < len; i++) {
		htmlStr += "<li style='height:" + liHeight + "px;line-height:" + liHeight + "px'>" + xAxis[i] + "</li>";
	}
	htmlStr += "</ul>";
	midDom.innerHTML = htmlStr
}