function setPieEcharts() {
	var echartObj = echarts.init(document.getElementById('pie_echarts'));

	var json = Android.getPieJson();
    var obj = eval("("+json+")");//解析json字符串

	echartObj.clear();

	var dataStyle = {
		normal: {
			label: {
				show: false
			},
			labelLine: {
				show: false
			},
			shadowBlur: 10,
			shadowColor: 'rgba(195, 195, 195, 0.8)'
		}
	}
	var placeHolderStyle = {
		normal: {
			color: '#eaeaea', // 未完成的圆环的颜色
			label: {
				show: false
			},
			labelLine: {
				show: false
			}
		}
	}
	var emphasisStyle = {
		itemStyle: {
			color: '#eaeaea'
		}
	}
	var commonOption = {

		title: {
			bottom: '15px',
			left: 'center',
			textStyle: {
				fontSize: 14,
				fontWeight: 'normal'
			}
		},
		backgroundColor: '#ffffff',
		tooltip: {
			show: false,
			formatter: '{a} <br/>{b} : {c} ({d}%)'
		},
		legend: {
			show: false,
			itemGap: 12,
			data: ['01', '02']
		},
		series: {
			name: 'Line 1',
			type: 'pie',
			clockWise: false,
			radius: ['45%', '70%'],
			itemStyle: dataStyle,
			hoverAnimation: false,
			data: []
		}
	}

	var option = JSON.parse(JSON.stringify(commonOption))
	option.color = ['#f1b054','#88c7e6']
	option.series.data = [
		{
			value: obj.vipValue,
			label: {
				normal: {
					show: true,
					position: 'center',
					textStyle: {
						fontSize: '28',
						fontWeight: 'bold'
					}
				}
			}
		},
		{
			value: obj.acquaValue,
			label: {
				normal: {
					show: true,
					position: 'center',
					textStyle: {
						fontSize: '28',
						fontWeight: 'bold'
					}
				}
			}
		},
		{
			value: obj.strangerValue,
			name: 'invisible',
			itemStyle: placeHolderStyle,
			emphasis: emphasisStyle
		}
	]

	echartObj.setOption(option);
}